<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Wagon Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classWagon-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Wagon Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Wagon:</div>
<div class="dyncontent">
<div class="center"><img src="classWagon__inherit__graph.png" border="0" usemap="#aWagon_inherit__map" alt="Inheritance graph"/></div>
<map name="aWagon_inherit__map" id="aWagon_inherit__map">
<area shape="rect" title=" " alt="" coords="107,80,173,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Wagon:</div>
<div class="dyncontent">
<div class="center"><img src="classWagon__coll__graph.png" border="0" usemap="#aWagon_coll__map" alt="Collaboration graph"/></div>
<map name="aWagon_coll__map" id="aWagon_coll__map">
<area shape="rect" title=" " alt="" coords="107,80,173,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:afdddb32526c45ec3e064c44fb3bf8bc2"><td class="memItemLeft" align="right" valign="top"><a id="afdddb32526c45ec3e064c44fb3bf8bc2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onCickedTreasure</b> (<a class="el" href="classTreasure.html">Treasure</a> *t)</td></tr>
<tr class="separator:afdddb32526c45ec3e064c44fb3bf8bc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6955164160e5eb760b48c22e2a1faa61"><td class="memItemLeft" align="right" valign="top"><a id="a6955164160e5eb760b48c22e2a1faa61"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedPlayer</b> (<a class="el" href="classPlayer.html">Player</a> *)</td></tr>
<tr class="separator:a6955164160e5eb760b48c22e2a1faa61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a7f641f6784c1a28d90434c4aef7a7d20"><td class="memItemLeft" align="right" valign="top"><a id="a7f641f6784c1a28d90434c4aef7a7d20"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedTreasureInWagon</b> (<a class="el" href="classTreasure.html">Treasure</a> *t, <a class="el" href="classWagon.html">Wagon</a> *w)</td></tr>
<tr class="separator:a7f641f6784c1a28d90434c4aef7a7d20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad295411f5ef216d2c708df5976b271a0"><td class="memItemLeft" align="right" valign="top"><a id="ad295411f5ef216d2c708df5976b271a0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedPlayerInWagon</b> (<a class="el" href="classPlayer.html">Player</a> *, <a class="el" href="classWagon.html">Wagon</a> *)</td></tr>
<tr class="separator:ad295411f5ef216d2c708df5976b271a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2f1168655a6ec3133fa53128aadfbcb"><td class="memItemLeft" align="right" valign="top"><a id="ab2f1168655a6ec3133fa53128aadfbcb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedWagon</b> (<a class="el" href="classWagon.html">Wagon</a> *w)</td></tr>
<tr class="separator:ab2f1168655a6ec3133fa53128aadfbcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa74152af9f0cb44ff3e64eae0efee5f2"><td class="memItemLeft" align="right" valign="top"><a id="aa74152af9f0cb44ff3e64eae0efee5f2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Wagon</b> (<a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;contentDown, <a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;contentUp)</td></tr>
<tr class="separator:aa74152af9f0cb44ff3e64eae0efee5f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a620d2a1086e67c12b7226671b82aebee"><td class="memItemLeft" align="right" valign="top"><a id="a620d2a1086e67c12b7226671b82aebee"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Wagon</b> (<a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;upt, <a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;downt, <a class="el" href="classPlayerGroup.html">PlayerGroup</a> &amp;upp, <a class="el" href="classPlayerGroup.html">PlayerGroup</a> &amp;downp, bool isLocomotive)</td></tr>
<tr class="separator:a620d2a1086e67c12b7226671b82aebee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03f0555768066fb621c34b6be546f246"><td class="memItemLeft" align="right" valign="top"><a id="a03f0555768066fb621c34b6be546f246"></a>
<a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getContentDown</b> ()</td></tr>
<tr class="separator:a03f0555768066fb621c34b6be546f246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8ce8e5d0b97a29092c82644303219d2"><td class="memItemLeft" align="right" valign="top"><a id="aa8ce8e5d0b97a29092c82644303219d2"></a>
<a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getContentUp</b> ()</td></tr>
<tr class="separator:aa8ce8e5d0b97a29092c82644303219d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3909403e0c828cfa9d86bf74d3fc51b0"><td class="memItemLeft" align="right" valign="top"><a id="a3909403e0c828cfa9d86bf74d3fc51b0"></a>
<a class="el" href="classPlayerGroup.html">PlayerGroup</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayersUp</b> ()</td></tr>
<tr class="separator:a3909403e0c828cfa9d86bf74d3fc51b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2294c6136f24bb22106c9abe9b8665"><td class="memItemLeft" align="right" valign="top"><a id="afe2294c6136f24bb22106c9abe9b8665"></a>
<a class="el" href="classPlayerGroup.html">PlayerGroup</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayersDown</b> ()</td></tr>
<tr class="separator:afe2294c6136f24bb22106c9abe9b8665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdf439756f81297f7b04cdd55a90a4bf"><td class="memItemLeft" align="right" valign="top"><a id="acdf439756f81297f7b04cdd55a90a4bf"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>isLocomotive</b> () const</td></tr>
<tr class="separator:acdf439756f81297f7b04cdd55a90a4bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3603eac4bd3d2ebd9e742980b2c5d1e4"><td class="memItemLeft" align="right" valign="top"><a id="a3603eac4bd3d2ebd9e742980b2c5d1e4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setContentDown</b> (<a class="el" href="classTreasureChest.html">TreasureChest</a> newContentDown)</td></tr>
<tr class="separator:a3603eac4bd3d2ebd9e742980b2c5d1e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0147492c886391449b145eec4151dec7"><td class="memItemLeft" align="right" valign="top"><a id="a0147492c886391449b145eec4151dec7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setContentUp</b> (<a class="el" href="classTreasureChest.html">TreasureChest</a> newContentUp)</td></tr>
<tr class="separator:a0147492c886391449b145eec4151dec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a760e19ba0e5eaa4ccbc9e72694e0c6cf"><td class="memItemLeft" align="right" valign="top"><a id="a760e19ba0e5eaa4ccbc9e72694e0c6cf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setIsLocomotive</b> (bool newIsLocomotive)</td></tr>
<tr class="separator:a760e19ba0e5eaa4ccbc9e72694e0c6cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f363c2469e195c63a042031617bbd14"><td class="memItemLeft" align="right" valign="top"><a id="a8f363c2469e195c63a042031617bbd14"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addContentUp</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:a8f363c2469e195c63a042031617bbd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43eb4ffd4a650d7445f46bda87c133e2"><td class="memItemLeft" align="right" valign="top"><a id="a43eb4ffd4a650d7445f46bda87c133e2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addContentDown</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:a43eb4ffd4a650d7445f46bda87c133e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e89ca8579d7b593be4f533f814d7922"><td class="memItemLeft" align="right" valign="top"><a id="a6e89ca8579d7b593be4f533f814d7922"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addPlayerUp</b> (<a class="el" href="classPlayer.html">Player</a> *)</td></tr>
<tr class="separator:a6e89ca8579d7b593be4f533f814d7922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d1fddce7589f2bc56f21e3532c4b7c8"><td class="memItemLeft" align="right" valign="top"><a id="a4d1fddce7589f2bc56f21e3532c4b7c8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addPlayerDown</b> (<a class="el" href="classPlayer.html">Player</a> *)</td></tr>
<tr class="separator:a4d1fddce7589f2bc56f21e3532c4b7c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78e933e9552b081b34efac7f9b06a8c1"><td class="memItemLeft" align="right" valign="top"><a id="a78e933e9552b081b34efac7f9b06a8c1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>addSheriffDown</b> (<a class="el" href="classSheriff.html">Sheriff</a> *)</td></tr>
<tr class="separator:a78e933e9552b081b34efac7f9b06a8c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abef377b793c700f0929f2451993385a1"><td class="memItemLeft" align="right" valign="top"><a id="abef377b793c700f0929f2451993385a1"></a>
<a class="el" href="classSheriff.html">Sheriff</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeSheriffDown</b> ()</td></tr>
<tr class="separator:abef377b793c700f0929f2451993385a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab3f5899437b2b16a13bbfd1fdf01475"><td class="memItemLeft" align="right" valign="top"><a id="aab3f5899437b2b16a13bbfd1fdf01475"></a>
<a class="el" href="classTreasure.html">Treasure</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeContentUp</b> (TreasureType)</td></tr>
<tr class="separator:aab3f5899437b2b16a13bbfd1fdf01475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007d8a244b51d69d586c82bf1e935b16"><td class="memItemLeft" align="right" valign="top"><a id="a007d8a244b51d69d586c82bf1e935b16"></a>
<a class="el" href="classTreasure.html">Treasure</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeContentDown</b> (TreasureType)</td></tr>
<tr class="separator:a007d8a244b51d69d586c82bf1e935b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a915fe55ca3aa3f3f90e79da61166cda2"><td class="memItemLeft" align="right" valign="top"><a id="a915fe55ca3aa3f3f90e79da61166cda2"></a>
<a class="el" href="classPlayer.html">Player</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takePlayerUp</b> (BanditType)</td></tr>
<tr class="separator:a915fe55ca3aa3f3f90e79da61166cda2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb228680508a46144e6e4bf8a9287256"><td class="memItemLeft" align="right" valign="top"><a id="aeb228680508a46144e6e4bf8a9287256"></a>
<a class="el" href="classPlayer.html">Player</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takePlayerDown</b> (BanditType)</td></tr>
<tr class="separator:aeb228680508a46144e6e4bf8a9287256"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5ed67ffc0e8fbd614825ec391332b49"><td class="memItemLeft" align="right" valign="top"><a id="ac5ed67ffc0e8fbd614825ec391332b49"></a>
<a class="el" href="classTreasure.html">Treasure</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeContentUp</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:ac5ed67ffc0e8fbd614825ec391332b49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72c4f5f5ce25a81a25d1c1b8615de1e2"><td class="memItemLeft" align="right" valign="top"><a id="a72c4f5f5ce25a81a25d1c1b8615de1e2"></a>
<a class="el" href="classTreasure.html">Treasure</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takeContentDown</b> (<a class="el" href="classTreasure.html">Treasure</a> *)</td></tr>
<tr class="separator:a72c4f5f5ce25a81a25d1c1b8615de1e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14514b1727cd8ebf896517425ceef7c7"><td class="memItemLeft" align="right" valign="top"><a id="a14514b1727cd8ebf896517425ceef7c7"></a>
<a class="el" href="classPlayer.html">Player</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takePlayerUp</b> (<a class="el" href="classPlayer.html">Player</a> *)</td></tr>
<tr class="separator:a14514b1727cd8ebf896517425ceef7c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a043ed26a73a54cafe965d761b0bb70f3"><td class="memItemLeft" align="right" valign="top"><a id="a043ed26a73a54cafe965d761b0bb70f3"></a>
<a class="el" href="classPlayer.html">Player</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>takePlayerDown</b> (<a class="el" href="classPlayer.html">Player</a> *)</td></tr>
<tr class="separator:a043ed26a73a54cafe965d761b0bb70f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68edc4adb6af2b8b9c3f2b58078e4912"><td class="memItemLeft" align="right" valign="top"><a id="a68edc4adb6af2b8b9c3f2b58078e4912"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>numberOfTreasureInWagonDown</b> (TreasureType) const</td></tr>
<tr class="separator:a68edc4adb6af2b8b9c3f2b58078e4912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac70998230d9a1519d42bed8f5e1ca8c4"><td class="memItemLeft" align="right" valign="top"><a id="ac70998230d9a1519d42bed8f5e1ca8c4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getTreasureIndex</b> (<a class="el" href="classTreasure.html">Treasure</a> *, bool) const</td></tr>
<tr class="separator:ac70998230d9a1519d42bed8f5e1ca8c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff12deb4c3a7795b2af4da0afd7987c3"><td class="memItemLeft" align="right" valign="top"><a id="aff12deb4c3a7795b2af4da0afd7987c3"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>toString</b> ()</td></tr>
<tr class="separator:aff12deb4c3a7795b2af4da0afd7987c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a357b1d7f8bdb445fcc65b7dbf2ca6433"><td class="memItemLeft" align="right" valign="top"><a id="a357b1d7f8bdb445fcc65b7dbf2ca6433"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:a357b1d7f8bdb445fcc65b7dbf2ca6433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d0af079721e9b5cc5c6e4e528fd77bd"><td class="memItemLeft" align="right" valign="top"><a id="a5d0af079721e9b5cc5c6e4e528fd77bd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a5d0af079721e9b5cc5c6e4e528fd77bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae7e53724489b2dd66284942e33e3378"><td class="memItemLeft" align="right" valign="top"><a id="aae7e53724489b2dd66284942e33e3378"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:aae7e53724489b2dd66284942e33e3378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3382581d9db07d9b50e05f0a6acace64"><td class="memItemLeft" align="right" valign="top"><a id="a3382581d9db07d9b50e05f0a6acace64"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a3382581d9db07d9b50e05f0a6acace64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9551b35cf69467b1f596cf98cf6ec06"><td class="memItemLeft" align="right" valign="top"><a id="ab9551b35cf69467b1f596cf98cf6ec06"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mousePressEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:ab9551b35cf69467b1f596cf98cf6ec06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84974649bcad9da7771da5e2020844d6"><td class="memItemLeft" align="right" valign="top"><a id="a84974649bcad9da7771da5e2020844d6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>repositionTreasure</b> ()</td></tr>
<tr class="separator:a84974649bcad9da7771da5e2020844d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e5e88355335680b55a77c283a2e2302"><td class="memItemLeft" align="right" valign="top"><a id="a9e5e88355335680b55a77c283a2e2302"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>repositionPlayers</b> ()</td></tr>
<tr class="separator:a9e5e88355335680b55a77c283a2e2302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c58e729c8a0dea93e9760ca6c981130"><td class="memItemLeft" align="right" valign="top"><a id="a2c58e729c8a0dea93e9760ca6c981130"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:a2c58e729c8a0dea93e9760ca6c981130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a047fb9082bea8e8038ae9a46cd666490"><td class="memItemLeft" align="right" valign="top"><a id="a047fb9082bea8e8038ae9a46cd666490"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:a047fb9082bea8e8038ae9a46cd666490"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="wagon_8h_source.html">wagon.h</a></li>
<li>src/wagon.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
